
#ifndef _DHT22_H
#define _DHT22_H

/** I N C L U D E S **********************************************************/
#include <pic18f87k22.h>

//DHT22 PORT PIN DEFINITION
///****************************************************
// I/O pin as Open drain to drive DHT22.
///****************************************************
#define DHT_WRITE_PIN    	LATFbits.LATF3
#define DHT_IO_PIN  		TRISFbits.TRISF3
#define DHT_READ_PIN        PORTFbits.RF3


/** P R O T O T Y P E S ******************************************************/
void drive_OW_low_dht22(void);
void drive_OW_high_dht22(void);
unsigned char read_OW_dht22(void);
unsigned char DHT_22_Start(void);
unsigned char DHT_22_response_start (void);
unsigned char Read_byte_DHT_22 (void);
void Setup_port_DHT22(void);
void Off_port_DHT22(void);
void Read_Dev_DHT22(void);

#endif