/*********************************************************************
 *
 *                 USART Communication Protocol
 *
 *********************************************************************
 * FileName:        USART.c
 ********************************************************************/


#include <xc.h>
#include <plib/usart.h>
#include <pic18f87k22.h>

//USART

void Setup_USART_1(void) {
    //------USART Transmission ----
    //Configurado a una velocidad de 9600 KBauds 
    //Baud Rate Formula FOSC/[16 (n + 1)] con BRGH HIGH, n = SPBRG
    //9600Kbauds = 4e6/[16 (25 + 1)]
    Open1USART(USART_TX_INT_OFF &
            USART_RX_INT_ON &
            USART_ASYNCH_MODE &
            USART_EIGHT_BIT &
            USART_CONT_RX &
            USART_BRGH_HIGH &
            USART_ADDEN_OFF,
            25);
}

/********************************************************************************************
                  E N D     O F     USART. C  
 *********************************************************************************************/